
# ONSAS.m: an Open Nonlinear Structural Analysis Solver for GNU-Octave/Matlab

![tests](https://github.com/ONSAS/ONSAS.m/workflows/tests/badge.svg)
[![Documentation](https://img.shields.io/badge/docs-latest-blue.svg)](https://onsas.github.io/ONSAS.m/dev/)
[![License](https://img.shields.io/badge/License-GPLv3-green.svg)](https://github.com/ONSAS/ONSAS.m/blob/master/COPYING)
[![Release](https://img.shields.io/github/v/release/ONSAS/ONSAS?color=yellow&include_prereleases)](https://github.com/ONSAS/ONSAS.m/releases)
[![Join the chat at https://gitter.im/onsas_/community](https://badges.gitter.im/onsas_/community.svg)](https://gitter.im/onsas_/community?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)
[![DOI](https://zenodo.org/badge/170120732.svg)](https://zenodo.org/badge/latestdoi/170120732)

## Table of Contents
1. [About ONSAS](#aboutonsas)
1. [For users](#howtouseonsas)
1. [Contributions](#contributions)
1. [Contact](#contact)

## About ONSAS <a name="aboutonsas"></a>

ONSAS is a [GNU-Octave](https://www.gnu.org/software/octave/) code for static/dynamic and linear/non-linear analysis of structures. The first version was developed for educational purposes and was published in a [handbook](https://www.colibri.udelar.edu.uy/jspui/bitstream/20.500.12008/22106/1/Bazzano_P%c3%a9rezZerpa_Introducci%c3%b3n_al_An%c3%a1lisis_No_Lineal_de_Estructuras_2017.pdf) of the course _Análisis no lineal de Estructuras_ taught at [Facultad de Ingeniería](https://www.fing.edu.uy/), Universidad de la República.

## Some examples

### A wind turbine model
![wind](https://github.com/ONSAS/ONSAS_docs/blob/master/gifs/wind.gif?raw=true)

### A truss tower model
![tower](https://github.com/ONSAS/ONSAS_docs/blob/master/gifs/tower.gif?raw=true)

### A chain model
![chain](https://user-images.githubusercontent.com/42485529/90902313-a6bf8d80-e3a2-11ea-8369-a9be639552f9.gif?raw=true)

## License

The code is distributed under a GNU-GPL 3.0 license.


## How to use ONSAS <a name="howtouseonsas"></a>

A recording of an ONSAS Workshop is available at (https://www.youtube.com/watch?v=tkJAD4UDvfI)

The user should follow these steps to install and run onsas:

1. Download and install [GNU-Octave](https://www.gnu.org/software/octave/) and [Paraview](https://www.paraview.org/)
1. Download the ONSAS zip source files from the realeases web https://github.com/ONSAS/ONSAS/releases
1. Open GNU-Octave, move to the _examples_ directory and run one of the examples.

## Contributions <a name="contributions"></a>

### Authors of code
The following authors collaborated in various tasks including: design, development and testing of the code, with specific contributions given by the commits history: [**Jorge M. Pérez Zerpa**](https://www.fing.edu.uy/~jorgepz), **J. Bruno Bazzano**, [**Joaquín Viera**](https://www.researchgate.net/profile/Joaquin_Viera_Sosa), [**Mauricio Vanzulli**](https://github.com/mvanzulli) and [**Marcelo Forets**](https://scholar.google.fr/citations?user=XSJzDEsAAAAJ&hl=en).

The author [**Jean-Marc Battini**](https://scholar.google.com/citations?user=7dzVcKoAAAAJ&hl=en) contributed functions related to the computation of static internal forces of the nonlinear frame element.

### Contributions and Acknowledgments

The complete list of contributions, affiliations and acknowledgments is available at the documentation site.

## Contact <a name="contact"></a>

If you have any question you can send an e-mail to _jorgepz [AT] fing.edu.uy_ or join the chat at  <a href="https://gitter.im/onsas_/community?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge" target="_blank"><img alt="Gitter" src="https://img.shields.io/gitter/room/JuliaReach/Lobby?style=for-the-badge&logo=gitter&logoColor=white" /></a>